#post .header {
  font-family: "IBM Plex Serif";
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 3rem auto;
}

#post .title {
  font-size: 3rem;
  font-weight: 500;
  text-align: center;
  margin: 0px;
}

#post > p {
  text-align: justify;
}

#post .image {
  display: block;
  text-align: center;
  margin: 5% auto;
  font-style: italic;
}

#post .image > img {
  width: 100%;
}

/* Generic block (notes, quotes, warning, tips and etctera) */
#post .block {
  padding-left: 15px;
}

#post .block p:nth-child(1) {
  margin-bottom: 5px;
}

#post .block p:nth-child(2) {
  margin-top: 0px;
}

#post .codeblocks {
  padding: 0px auto;
  font-size: 16px;
}

#post .created-at {
  padding-top: 10px;
  margin: 0px auto;
}

@media screen and (max-width: 700px) {
  #post .title {
    font-size: 2.5rem;
  }

  #post .codeblocks {
    font-size: 14px;
  }
}

@media screen and (max-width: 450px) {
  #post .title {
    font-size: 2.2rem;
  }

  #post .codeblocks {
    font-size: 13px;
  }
}
